; Copyright (c) 2004-2010, Laurent Jorda, Stubbe F. Hviid
;   All rights reserves

PRO update_level3_header, h, bor, los_rp, method

;
; initialization
;
ct = 180.0d0/!dpi

;
; long names for methods
;
longmeth = method

if (method eq 'BL') then longmeth = longmeth+'(BILINEAR)'

;
; update PDS header
;
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.REFPIXEL_X_COORDINATE',bor.refpix[0],'pix'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.REFPIXEL_Y_COORDINATE',bor.refpix[1],'pix'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.RIGHT_ASCENSION_REFPIXEL',los_rp.ra*ct,'deg'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.DECLINATION_REFPIXEL',los_rp.dec*ct,'deg'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.CAMERA_ROLL',los_rp.roll*ct,'deg'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.PIXEL_SIZE_X',bor.pixsize[0],'rad'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.PIXEL_SIZE_Y',bor.pixsize[1],'rad'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.DELTA_BORESIGHT_X',bor.offset[0],'pix'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.DELTA_BORESIGHT_Y',bor.offset[1],'pix'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.DELTA_BORESIGHT_ROLL',bor.deltaroll*ct,'deg'

P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.GEOMETRIC_MODEL_VERSION','V1.0'
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.RESAMPLING_METHOD',longmeth
P_SETVALUE,h,'GEOMETRIC_CAMERA_MODEL.PIPELINE_VERSION','V1.0'

;
; end of routine
;
RETURN
END
