; Copyright (c) 2005, Stubbe F. Hviid
;   All rights reserved

function lookup_struct_tag, struct, tag, STATUS=STATUS

	OK = 1

	names = strupcase(TAG_NAMES(struct))

	s = where(names  eq tag)

	if s[0] eq -1 then begin
		print, 'Cannot find structure element params for: ' + tag
		STATUS = 0
		return, -1
	endif

	if n_elements(s) gt 1 then print, 'WARNING: Multiple entries found for ' + tag

	return, struct.(s[0])
END